#include "atomic_items_serialization.h"
#include "special_atomic_items.h"

#include <boost/serialization/export.hpp>

template<class Archive>
void SpecialItem::serialize(Archive& ar, const unsigned int version)
{
  ar & boost::serialization::base_object<BooleanItem>(*this); 
  std::cout << "serializing SpecialItem" << std::endl;
  ar & d;
}

BOOST_CLASS_EXPORT_GUID ( Item, "Item" )
BOOST_CLASS_EXPORT_GUID ( AtomicItem, "AtomicItem" )
BOOST_CLASS_EXPORT_GUID ( BooleanItem, "BooleanItem" )
BOOST_CLASS_EXPORT_GUID ( SpecialItem, "SpecialItem" )
